Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1710758 - solaar panel icon not displayed if receiver is unplugged
Summary: solaar panel icon not displayed if receiver is unplugged
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: solaar
Version: 31
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Dominik 'Rathann' Mierzejewski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1731545
TreeView+ depends on / blocked
 
Reported: 2019-05-16 09:17 UTC by Dominik 'Rathann' Mierzejewski
Modified: 2020-04-02 09:18 UTC (History)
4 users (show)

Fixed In Version: solaar-1.0.2-0.1.rc1.20200322git563ef0d.fc32 solaar-1.0.2-0.1.rc1.20200322git563ef0d.fc31 solaar-1.0.2-0.1.rc1.20200322git563ef0d.fc30
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-04-01 00:18:09 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Dominik 'Rathann' Mierzejewski 2019-05-16 09:17:37 UTC
Description of problem:
After starting solaar, its icon on the (MATE) panel is shown as a generic grey rectangle instead of one of the following:
/usr/share/solaar/icons/solaar-attention.svg
/usr/share/solaar/icons/solaar-init.svg
/usr/share/solaar/icons/solaar.svg

Version-Release number of selected component (if applicable):
solaar-0.9.2-10.20180813gitf0fc63e.fc29.noarch

How reproducible:
Always.

Steps to Reproduce:
1. log in to MATE Desktop
2. dnf install solaar
3. start solaar

Actual results:
Panel icon is a generic grey rectangle.

Expected results:
Panel icon should be one of the included icons.

Comment 1 Ben Cotton 2019-10-31 18:56:34 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 2 Ben Cotton 2019-11-27 23:14:51 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 3 Dominik 'Rathann' Mierzejewski 2019-11-28 14:11:36 UTC
Still reproducible on F31 when Receiver is unplugged.

Comment 4 Fedora Update System 2020-03-24 14:39:05 UTC
FEDORA-2020-5011b62b4b has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-5011b62b4b

Comment 5 Fedora Update System 2020-03-24 14:39:08 UTC
FEDORA-2020-2d902a1576 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-2d902a1576

Comment 6 Fedora Update System 2020-03-24 14:39:15 UTC
FEDORA-2020-d00e89d607 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2020-d00e89d607

Comment 7 Fedora Update System 2020-03-24 19:55:22 UTC
FEDORA-2020-5011b62b4b has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-5011b62b4b`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-5011b62b4b

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 8 Fedora Update System 2020-03-25 09:49:43 UTC
FEDORA-2020-d00e89d607 has been pushed to the Fedora 30 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-d00e89d607`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-d00e89d607

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-03-25 09:49:58 UTC
FEDORA-2020-2d902a1576 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-2d902a1576`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-2d902a1576

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-04-01 00:18:09 UTC
FEDORA-2020-5011b62b4b has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 11 Fedora Update System 2020-04-01 01:55:22 UTC
FEDORA-2020-2d902a1576 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2020-04-01 16:32:54 UTC
FEDORA-2020-5011b62b4b has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2020-04-02 09:18:50 UTC
FEDORA-2020-d00e89d607 has been pushed to the Fedora 30 stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.